Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe
Class ActionSet

    java.lang.Object
      net.sourceforge.jsxe.ActionSet

public class ActionSet
extends Object

A set of actions.

Since:
  jsXe 0.4 beta
Version:
  $Id: ActionSet.java 983 2006-06-27 19:59:04Z ian_lewis $
Author:
  Slava Pestov, Ian Lewis (IanLewis@member.fsf.org)

Constructor Summary
`ActionSet()` Creates a new action set.
`ActionSet(String label)` Creates a new action set.

Method Summary
`void` | `addAction(LocalizedAction action)` Adds an action to the action set.
`boolean` | `contains(LocalizedAction action)` Returns if this action set contains the specified action.
`LocalizedAction` | `getAction(String name)` Returns the action with the specified name.
`int` | `getActionCount()` Returns the number of actions in the set.
`String[]` | `getActionNames()` Returns an array of all action names in this action set.
`LocalizedAction[]` | `getActions()` Returns an array of all actions in this action set.
`String` | `getLabel()` Return the action source label.
`void` | `removeAction(String name)` Removes an action from the action set.
`void` | `removeAllActions()` Removes all actions from the action set.
`void` | `setLabel(String label)` Sets the action source label.
`String` | `toString()` Returns getLabel()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionSet

    public ActionSet()

  Creates a new action set.

### ActionSet

    public ActionSet(String label)

  Creates a new action set.

Parameters:
  `label` - The label for the action set

Method Detail

### getLabel

    public String getLabel()

  Return the action source label.

### setLabel

    public void setLabel(String label)

  Sets the action source label.

  Parameters:
    `label` - The label

### addAction

    public void addAction(LocalizedAction action)

  Adds an action to the action set. The action can be retrieved via the `getName()` method of the LocalizedAction.

  Parameters:
    `action` - The action

### removeAction

    public void removeAction(String name)

  Removes an action from the action set.

  Parameters:
    `name` - The internal action name

### removeAllActions

    public void removeAllActions()

  Removes all actions from the action set.

### getAction

    public LocalizedAction getAction(String name)

  Returns the action with the specified name.

  Parameters:
    `name` - The action name

### getActionCount

    public int getActionCount()

  Returns the number of actions in the set.

### getActionNames

    public String[] getActionNames()

  Returns an array of all action names in this action set.

  Since:
    jsXe 0.5 pre1

### getActions

    public LocalizedAction[] getActions()

  Returns an array of all actions in this action set.

### contains

    public boolean contains(LocalizedAction action)

  Returns if this action set contains the specified action.

  Parameters:
    `action` - The action

### toString

    public String toString()

  Returns getLabel()

  See Also:
    `getLabel()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD